﻿
.btnx {
    padding: 12px 24px;
    border-radius: 12px;
    border: 1px solid rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.1);
    color: #fff;
    font-size: 1rem;
    margin:3px;
    cursor: pointer;
    transition: all 0.1s ease;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

    .btnx:hover {
        transform: translateY(-2px);
        box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
    }

/* Colors */
.btnx-primary {
    background: rgba(0, 123, 255, 0.6);
    border: 1px solid rgba(0, 123, 255, 0.7);
}

.btnx-success {
    background: rgba(40, 167, 69, 0.6);
    border: 1px solid rgba(40, 167, 69, 0.7);
}

.btnx-danger {
    background: rgba(220, 53, 69, 0.6);
    border: 1px solid rgba(220, 53, 69, 0.7);
}

.btnx-warning {
    background: rgba(255, 193, 7, 0.6);
    border: 1px solid rgba(255, 193, 7, 0.7);
    color: #212529;
}

.btnx-info {
    background: rgba(23, 162, 184, 0.6);
    border: 1px solid rgba(23, 162, 184, 0.7);
}

.btnx-info-br {
    background: rgba(23, 162, 184, 0.1);
    border: 2px solid rgba(23, 162, 184, 0.9);
    color:teal;
}
/* Small Button */
.btnx-sm {
    padding: 6px 14px;
    font-size: 0.85rem;
}

.btnx-boldtxt {
   font-weight:bolder;
}


/* Rounded (pill-style) */
.btnx-rounded {
    border-radius: 50px;
}

/* Basic styling */
.custom-select {
    appearance: none; /* Remove default arrow */
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 4px 30px 4px 10px; /* room for arrow */
    font-size: 16px;
    border: 1px solid #ccc;
    width:100%;
    border-radius: 4px;
    background-color: white;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='10' height='10' viewBox='0 0 10 10'%3E%3Cpath fill='black' d='M0 2.5 L5 7.5 L10 2.5 Z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 8px center;
    background-size: 10px;
}

    /* Blue border on focus */
    .custom-select:focus {
        border:3px solid #007bff; /* Bootstrap blue */
        outline: none; /* Remove default black outline */
        box-shadow: 0 0 4px rgba(0, 123, 255, 0.6); /* Soft blue glow */
    }

/* Optional: change arrow size on smaller screens */
@media (max-width: 576px) {
    .custom-select {
        background-size: 8px;
    }
}